API Keys

To authenticate with the GoTable API, you will need an API Key. There are three types of API Keys:

  • Restaurant API Key: A key that can only access information for that restaurant.
  • Account API Key: A key that can access all restaurants that the account has access to.
  • Partner API Key: A key that can access all restaurants that have enabled the integration.

You can create a Restaurant API Key on the integrations page of your restaurant, and an Account API Key on the settings page of your personal account.

Contact us if you want to build your own integration, to get a Partner API Key.

Authentication

We require HTTP Bearer Authentication to authenticate to our API using an API Key in the header of your requests.

GET https://gotable.app/api/v1/restaurants HTTP/1.1
Authorization: Bearer c6d361be9d3f8c35da264d2bfd4985d28bc3278b35c6ad876b8ed7bcc8dad507
Accept: application/json

API Consumption

Our OpenAPI definition (JSON) can be used as documentation, or to generate boilerplate code with a tool such as Swagger Codegen. For ease of use, we've also put the documentation at the bottom of this page.

Requests and responses are and should be formatted as JSON. To manage the number of requests, we use rate limiting. Our current rate limit is set to 60 requests per minute.